<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Datastructure: src/queue.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Datastructure
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">queue.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdbool.h&gt;</code><br />
</div>
<p><a href="queue_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_queue.html">Queue</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4b56a6f23e044affca38eed1834e98dc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#a4b56a6f23e044affca38eed1834e98dc">QUEUE_MAX_SIZE</a>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a4b56a6f23e044affca38eed1834e98dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a61df61ae1278dd46641315444ab00356"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#a61df61ae1278dd46641315444ab00356">init_queue</a> (<a class="el" href="struct_queue.html">Queue</a> *s)</td></tr>
<tr class="separator:a61df61ae1278dd46641315444ab00356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee4cdc64e4fb038915201bb5f481dcc0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#aee4cdc64e4fb038915201bb5f481dcc0">enqueue</a> (<a class="el" href="struct_queue.html">Queue</a> *q, float value)</td></tr>
<tr class="separator:aee4cdc64e4fb038915201bb5f481dcc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a963c35fdb8a91292169e3c65dfa6b56b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#a963c35fdb8a91292169e3c65dfa6b56b">dequeue</a> (<a class="el" href="struct_queue.html">Queue</a> *q)</td></tr>
<tr class="separator:a963c35fdb8a91292169e3c65dfa6b56b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a813806bdcfc85411e001285c7607f3ef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#a813806bdcfc85411e001285c7607f3ef">is_queue_empty</a> (<a class="el" href="struct_queue.html">Queue</a> *q)</td></tr>
<tr class="separator:a813806bdcfc85411e001285c7607f3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0285b50c50dd0dcc29b712684d2569c7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#a0285b50c50dd0dcc29b712684d2569c7">front</a> (<a class="el" href="struct_queue.html">Queue</a> *q)</td></tr>
<tr class="separator:a0285b50c50dd0dcc29b712684d2569c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec0a1bc3bed054d109a02d96d0274a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="queue_8h.html#abec0a1bc3bed054d109a02d96d0274a1">clearqueue</a> (<a class="el" href="struct_queue.html">Queue</a> *q)</td></tr>
<tr class="separator:abec0a1bc3bed054d109a02d96d0274a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a4b56a6f23e044affca38eed1834e98dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b56a6f23e044affca38eed1834e98dc">&#9670;&nbsp;</a></span>QUEUE_MAX_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define QUEUE_MAX_SIZE&#160;&#160;&#160;100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="abec0a1bc3bed054d109a02d96d0274a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec0a1bc3bed054d109a02d96d0274a1">&#9670;&nbsp;</a></span>clearqueue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void clearqueue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a963c35fdb8a91292169e3c65dfa6b56b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a963c35fdb8a91292169e3c65dfa6b56b">&#9670;&nbsp;</a></span>dequeue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float dequeue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aee4cdc64e4fb038915201bb5f481dcc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee4cdc64e4fb038915201bb5f481dcc0">&#9670;&nbsp;</a></span>enqueue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void enqueue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>q</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0285b50c50dd0dcc29b712684d2569c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0285b50c50dd0dcc29b712684d2569c7">&#9670;&nbsp;</a></span>front()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float front </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61df61ae1278dd46641315444ab00356"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61df61ae1278dd46641315444ab00356">&#9670;&nbsp;</a></span>init_queue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_queue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a813806bdcfc85411e001285c7607f3ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a813806bdcfc85411e001285c7607f3ef">&#9670;&nbsp;</a></span>is_queue_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_queue_empty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_queue.html">Queue</a> *&#160;</td>
          <td class="paramname"><em>q</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
